Bug 22702 - Circulation note on patron page should allow for HTML tags
Summary: Circulation note on patron page should allow for HTML tags
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-12 22:50 UTC by Lucas Gass
Modified: 2019-11-06 13:49 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Attachment to Bug 22702 - circulation note on patron page should allow for HTML tags (1.88 KB, patch)
2019-04-12 23:05 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22702: circulation note on patron page should allow for HTML tags (2.07 KB, patch)
2019-04-15 14:49 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 22702: circulation note on patron page should allow for HTML tags (2.14 KB, patch)
2019-04-16 20:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-04-12 22:50:21 UTC
Some libraries like to include links and other HTML in the circulation note. This currently uses the html filter and should be switched to $raw. This should not be problematic since only staff can do this.
Comment 1 Lucas Gass 2019-04-12 23:05:31 UTC
Created attachment 87940 [details] [review]
Attachment to Bug 22702 - circulation note on patron page should allow for HTML tags

Bug 22702: circulation note on patron page should allow for HTML tags

 TEST PLAN: 
 1. add a circulation note to a patron account that includes some HTML tags like: <p>TEST</p>
 2. visit the check out page and notice the tags display literally
 3. visit the details page and notice the tags display literally 
 4. apply patch 
 5. look again at the check out and details pages and notice the notes rendering HTML
Comment 2 sandboxes@biblibre.com 2019-04-15 14:49:10 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 sandboxes@biblibre.com 2019-04-15 14:49:30 UTC
Created attachment 88009 [details] [review]
Bug 22702: circulation note on patron page should allow for HTML tags

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 4 Séverine Queune 2019-04-15 14:56:19 UTC
Works fine for the 2 pages mentionned, and also for the "Search patrons" result page.
Thanks Lucas !
Comment 5 Katrin Fischer 2019-04-16 20:44:31 UTC
Created attachment 88115 [details] [review]
Bug 22702: circulation note on patron page should allow for HTML tags

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2019-04-16 20:45:28 UTC
Works as described and appears to catch every place the note is displayed. I do have 2 concerns:
 
- Consistency: Why allow HTML in the circulation note, but not in the OPAC note?
- Using "" for example by using a class or similar will break the patron search.

Leaving it to RM! :)
Comment 7 Nick Clemens 2019-04-17 12:30:10 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-04-26 11:51:02 UTC
Pushed to 18.11.x for 18.11.05
Comment 9 Lucas Gass 2019-05-10 20:51:57 UTC
not needed in 18.05.x, no backport